/*                                               -*- Mode:C++; tab-width: 8 -*-
//  The Natto View
//
//  Copyright (c) 1996-1997  Hidekazu Shiozawa <shiozawa@myo.inst.keio.ac.jp>
//                           Keio University (Matsushita Lab.)
//                           All rights reserved.
//  Please first read the full copyright statement in the file LICENSE.
//  Permission to copy this software, to redistribute it on a nonprofit
//  basis, and to use it for any purpose, is hereby granted, provided that 
//  this license information and copyright notice appear in all copies. 
*/

#ifndef NODEMAPPERUU_H
#define NODEMAPPERUU_H
#ifdef __GNUG__
#pragma interface
#endif

#include "NodeMapper.h"


class NodeMapperUU: public NodeMapper
{
 public:
    NodeMapperUU();
    virtual void layout(Web::node*);
    virtual bool x_label(int, float&, string&);
    virtual bool y_label(int, float&, string&);
};

#endif /* NODEMAPPERUU_H */
