/*                                               -*- Mode:C++; tab-width: 8 -*-
//  The Natto View
//
//  Copyright (c) 1997  Hidekazu Shiozawa <shiozawa@myo.inst.keio.ac.jp>
//                      Keio University (Matsushita Lab.)
//                      All rights reserved.
//  Please first read the full copyright statement in the file LICENSE.
//  Permission to copy this software, to redistribute it on a nonprofit
//  basis, and to use it for any purpose, is hereby granted, provided that 
//  this license information and copyright notice appear in all copies. 
*/

#ifndef PREFERENCE_H
#define PREFERENCE_H

#include "externs.h"
#include "www.h"


struct Preference
{
    bool install_cmap;
    bool japanese;
    URL  home_page;
    URL  http_proxy;
    URL  ftp_proxy;
    string debug_libwww;
    bool   debug_X;
    
    Preference(): install_cmap(false), debug_X(false)  {}
};


EXTERN Preference preference;


#endif /* PREFERENCE_H */
