/*                                               -*- Mode:C++; tab-width: 8 -*-
//  The Natto View
//
//  Copyright (c) 1996-1997  Hidekazu Shiozawa <shiozawa@myo.inst.keio.ac.jp>
//                           Keio University (Matsushita Lab.)
//                           All rights reserved.
//  Please first read the full copyright statement in the file LICENSE.
//  Permission to copy this software, to redistribute it on a nonprofit
//  basis, and to use it for any purpose, is hereby granted, provided that 
//  this license information and copyright notice appear in all copies. 
*/

#ifdef __GNUG__
#define __SINST__  /* Why need ? */
#endif

#include "stl.h"
#include <string>
#include <fstream>
#include <defalloc.h>
#include <X11/Xlib.h>
#include <X11/Xmd.h>
#include "linkview.h"
#include "dfs.h"
#include "observer.h"
#include "www.h"
#include "Web.h"
#include "WebExtenderHT.h"
#include "WebView.h"
#include "WebViewX.h"
#include "EventManagerHTX.h"

#define EXPLATE
#define EXPLATE_CLASS
#define EXPLATE_FUNCTION

#ifdef REBUILD
# include "explate.out"
#else
# ifdef STRICT_STL
#  include "explate.strict"
# else
#  include "explate.ptrvector"
# endif
#endif

template vector<observer<WebNotify> *> const &
    vector<observer<WebNotify> *>::
    operator=(vector<observer<WebNotify> *> const &);
