/*                                               -*- Mode:C++; tab-width: 8 -*-
//  The Natto View
//
//  Copyright (c) 1995-1996  Hidekazu Shiozawa <shiozawa@myo.inst.keio.ac.jp>
//                           Keio University (Matsushita Lab.)
//                           All rights reserved.
//  Please first read the full copyright statement in the file LICENSE.
//  Permission to copy this software, to redistribute it on a nonprofit
//  basis, and to use it for any purpose, is hereby granted, provided that 
//  this license information and copyright notice appear in all copies. 
*/

#ifndef EXTERNS_H
#define EXTERNS_H

#ifdef DEFINE_EXTERNS
#  define EXTERN                 /* */
#  define DEFAULT(arg)           = arg
#  define DEFAULT3(a1,a2,a3)     = {a1,a2,a3}
#  define DEFAULT4(a1,a2,a3,a4)  = {a1,a2,a3,a4}
#else
#  define EXTERN                 extern
#  define DEFAULT(arg)           /* */
#  define DEFAULT3(a1,a2,a3)     /* */
#  define DEFAULT4(a1,a2,a3,a4)  /* */
#endif

#endif /* EXTERNS_H */
