/*                                               -*- Mode:C++; tab-width: 8 -*-
//  The Natto View
//
//  Copyright (c) 1995-1996  Hidekazu Shiozawa <shiozawa@myo.inst.keio.ac.jp>
//                           Keio University (Matsushita Lab.)
//                           All rights reserved.
//  Please first read the full copyright statement in the file LICENSE.
//  Permission to copy this software, to redistribute it on a nonprofit
//  basis, and to use it for any purpose, is hereby granted, provided that 
//  this license information and copyright notice appear in all copies. 
*/

#ifndef LINKVIEW_H
#define LINKVIEW_H

//////////////////////////////////////////////////////////////////////////////
// PLESE EDIT "settings.h" ///////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

#include <X11/Xmd.h>
#include "config.h"
#include "settings.h"

#ifndef NATTOVIEW
#error NATTOVIEW not defined!
#endif
#ifndef HOME_PAGE
#define HOME_PAGE     "http://www.myo.inst.keio.ac.jp/NattoView/"
#endif
#ifndef LINKDB_HOST
#define LINKDB_HOST   "localhost"
#endif
#ifndef LINKDB_PORT
#define LINKDB_PORT   33337
#endif
#ifndef CCI_PORT
#define CCI_PORT      33338
#endif
#ifndef STD
#define STD           /* */
#endif

#ifndef DEBUGGING
#  ifdef DEBUGOUT
#    undef  DEBUGOUT
#  endif
#  define DEBUGOUT(expr)  /* */
#else
#  ifndef DEBUGOUT
#    define DEBUGOUT(expr)  \
     cerr << __FILE__ << ':' << __LINE__ << ": " << expr << endl
#  endif
#endif

void Quit(void);

#endif /* LINKVIEW_H */
